Subject: Re: [dhcwg] Fw:New Version Notification for draft-li-dhc-secure-dhcpv6-deployment-00.txt

From: Lishan Li <[email-masked]>
Date: Fri, 16 Oct 2015 23:25:30 +0800

Dear Jinmei,

Thanks very much for your review. Please see inline.

Best Regards,
Lishan

2015-10-16 2:45 GMT+08:00 神明達哉 <[email-masked]>:

> At Wed, 14 Oct 2015 22:38:49 +0800,
> Lishan Li <[email-masked]> wrote:
>
> > We have submitted a new draft draft-li-dhc-secure-dhcpv6-deployment-00.
> > This draft analysis the DHCPv6 threat model, various key management
> schemes
> > for secure DHCPv6 mechanisms deployment, and recommend the opportunistic
> > security for DHCPv6.
> > Could you please review the draft and any comments are welcome.
>
> (making a couple of notes I happened to notice from a quick glance.
> It's not a complete review).

[LS]: Your comments are valuable to the draft improvement. Looking forward
to your complete review.

In section 4 it states:
>
>    TOFU MAY play a role in the scenario where the DHCPv6 client is
>    mobile and connects to random networks such as public coffee shops.
>
> It's surprising to me that the coffee shop scenario is referenced as a
> case for TOFU several times (at least once in a sedhcpv6 discussion,
> and now in this draft).  I'd say it's very naive to assume it can be safe
> on first use in such a random network with random other users.
>

[LS]: I agree with you. In my opinion, coffee shop is the scenario where
the security policy is loss. In the scenario, it is difficult for the
client to verify the server's identity without the pre-configured
authentication information. In the section 5, For this type of scenario
where the security policy is loss, we recommend the non-authenticated
encryption. The server authentication is optional in order not to impede
the following DHCPv6 communication.

>
> In section 5:
>
>    In the scenario where the security policy is loss, the DHCPv6 server
>    MAY NOT be preconfigured the authentication information, such as the
>
> I suspect you meant 'MUST NOT' instead of 'MAY NOT'.
>

[LS]: Thanks for your correction. It should be "MUST NOT". We will correct
it in the next version.

Thanks,
Lishan